Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.annotation.spring
Class AnnotationsInfoInitializer

    java.lang.Object
      org.apache.myfaces.orchestra.annotation.spring.AnnotationsInfoInitializer

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered

    public class AnnotationsInfoInitializer

extends java.lang.Object
implements org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered

Parse all configured spring beans and extract Orchestra annotations out of them.

Just declaring an instance of this type as a Spring Singleton will cause the postProcessBeanFactory to be called passing in info about all the bean declarations in the spring context, allowing Orchestra annotations on any directly declared class to be discovered and processed.

Every class referenced from a bean declaration is then passed to the AnnotationInfoManager instance that has been injected into this object.

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`AnnotationsInfoInitializer()`

Method Summary
`int` | `getOrder()` Implement the Spring Ordered interface.
`void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)` For each bean in the beanFactory, load the appropriate Class object and pass it to the annotationInfoManager object for inspection.
`void` | `setAnnotationInfoManager(AnnotationInfoManager annotationInfoManager)` Inject the object that actually inspects each Class for Orchestra annotations.
`void` | `setOrder(int order)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationsInfoInitializer

    public AnnotationsInfoInitializer()

Method Detail

### getOrder

    public int getOrder()

  Implement the Spring Ordered interface.

  Specified by:
    `getOrder` in interface `org.springframework.core.Ordered`

### setOrder

    public void setOrder(int order)

### setAnnotationInfoManager

    public void setAnnotationInfoManager(AnnotationInfoManager annotationInfoManager)

  Inject the object that actually inspects each Class for Orchestra annotations.

### postProcessBeanFactory

    public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                throws org.springframework.beans.BeansException

  For each bean in the beanFactory, load the appropriate Class object and pass it to the annotationInfoManager object for inspection.

  Specified by:
    `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.